Package org.eclipse.net4j.util.transaction

## Interface ITransactionalOperation<CONTEXT>

-     public interface ITransactionalOperation<CONTEXT>

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `phase1​(CONTEXT context)` |
    `void` | `phase2​(CONTEXT context)` |
    `void` | `undoPhase1​(CONTEXT context)` |

- - ### Method Detail

    - #### phase1

          void phase1​(CONTEXT context)
               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### phase2

          void phase2​(CONTEXT context)

    - #### undoPhase1

          void undoPhase1​(CONTEXT context)